CVE-2001-0733

CVE information

Published

20 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

The #sinclude directive in Embedded Perl (ePerl) 2.2.14 and earlier allows a remote attacker to execute arbitrary code by modifying the 'sinclude' file to point to another file that contains a #include directive that references a file that contains the code..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:ralf_s._engelschall:eperl:2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ralf_s._engelschall:eperl:2.2.4:*:*:*:*:*:*:*
  Yes
- -

Get started for free to scan for vulnerabilities

Companies of all sizes use Mageni to scan their assets for vulnerabilities. Mageni is free for 7-days then $39 USD Monthly regardless of how many IPs, scans, deployments or users you have. Cancel at Anytime and 7-days Money-Back Guarantee. Developed and supported by certified CompTIA PenTest+ professionals. Mageni contributes 1% of your subscription to removing CO₂ from the atmosphere.

Get Started For Free
App screenshot